Imports System.ComponentModel
Public Class ContactInfo
    Public Event DataChanged()

    <Category("ContactInfo")> _
    Public Property FirstName() As String
        Get
            Return txtFirstName.Text
        End Get
        Set(ByVal value As String)
            txtFirstName.Text = value
        End Set
    End Property

    <Category("ContactInfo")> _
    Public Property LastName() As String
        Get
            Return txtLastName.Text
        End Get
        Set(ByVal value As String)
            txtLastName.Text = value
        End Set
    End Property

    <Category("ContactInfo")> _
    Public Property Street() As String
        Get
            Return txtStreet.Text
        End Get
        Set(ByVal value As String)
            txtStreet.Text = value
        End Set
    End Property

    <Category("ContactInfo")> _
    Public Property City() As String
        Get
            Return txtCity.Text
        End Get
        Set(ByVal value As String)
            txtCity.Text = value
        End Set
    End Property

    <Category("ContactInfo")> _
    Public Property State() As String
        Get
            Return cboState.Text
        End Get
        Set(ByVal value As String)
            cboState.Text = value
        End Set
    End Property

    <Category("ContactInfo")> _
    Public Property Zip() As String
        Get
            Return txtZip.Text
        End Get
        Set(ByVal value As String)
            txtZip.Text = value
        End Set
    End Property

    ' Return a textual representation of the data.
    Public Overrides Function ToString() As String
        Return txtFirstName.Text & " " & txtLastName.Text & ", " & txtStreet.Text & ", " & txtCity.Text & "  " & cboState.Text & "  " & txtZip.Text
    End Function

    ' If any data changes, raise the DataChanged event.
    Private Sub ConstituentDataChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtFirstName.TextChanged, txtLastName.TextChanged, txtStreet.TextChanged, txtCity.TextChanged, cboState.TextChanged, cboState.Click, txtZip.TextChanged
        RaiseEvent DataChanged()
    End Sub
End Class
