Public Class Form1
    ' Make the MapViewFinder's thumb fit the window.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.MapViewFinder1.ThumbLocation = New Rectangle(0, 0, _
            picWindow.ClientSize.Width, picWindow.ClientSize.Height)

        ' Draw the initial image.
        DisplaySelectedWindow()
    End Sub

    ' The user is scrolling the MapViewFinder's thumb.
    Private Sub MapViewFinder1_ThumbScroll() Handles MapViewFinder1.ThumbScroll
        DisplaySelectedWindow()
    End Sub

    ' The user finished scrolling the MapViewFinder's thumb.
    Private Sub MapViewFinder1_ThumbScrollComplete() Handles MapViewFinder1.ThumbScrollComplete
        DisplaySelectedWindow()
    End Sub

    ' Display the part of the map selected by the MapViewFinder.
    Private Sub DisplaySelectedWindow()
        Dim bm As New Bitmap( _
            picWindow.ClientSize.Width, _
            picWindow.ClientSize.Height)
        Using gr As Graphics = Graphics.FromImage(bm)
            gr.DrawImage(My.Resources.europe, _
                picWindow.ClientRectangle, _
                MapViewFinder1.ThumbLocation, _
                GraphicsUnit.Pixel)
        End Using

        picWindow.Image = bm
    End Sub
End Class
