Imports System.Text.RegularExpressions

Public Class Vehicle
    ' The MilesPerGallon property.
	Private m_MilesPerGallon As Single
	Public Property MilesPerGallon() As Single
		Get
			Return m_MilesPerGallon
		End Get
		Set(ByVal value As Single)
			m_MilesPerGallon = value
		End Set
	End Property

	' The FuelCapacity property.
	Private m_FuelCapacity As Single
	Public Property FuelCapacity() As Single
		Get
			Return m_FuelCapacity
		End Get
		Set(ByVal value As Single)
			m_FuelCapacity = value
		End Set
	End Property

	' The FuelRemaining property.
	Private m_FuelRemaining As Single
	Public Property FuelRemaining() As Single
		Get
			Return m_FuelRemaining
		End Get
		Set(ByVal value As Single)
			m_FuelRemaining = value
		End Set
	End Property

    ' Estimate the distance we can drive on the remaining fuel.
    Public ReadOnly Property CalculateRange() As Single
        Get
            Return MilesPerGallon * FuelRemaining
        End Get
    End Property

    Public Sub New(ByVal miles_per_gallon As Single, ByVal fuel_capacity As Single, ByVal fuel_remaining As Single)
        MilesPerGallon = miles_per_gallon
        FuelCapacity = fuel_capacity
        FuelRemaining = fuel_remaining
    End Sub
End Class
