Imports System.Data.OleDb

Public Class dlgSelectFields
    Public TheDataGridView As DataGridView

    ' Load the list of database fields.
    Private Sub dlgSelectFields_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        ' Set properties. (Done here so it's easier to find.)
        clbFields.CheckOnClick = True

        ' Fill the checked list box with the fields.
        clbFields.Items.Clear()
        For i As Integer = 0 To TheDataGridView.Columns.Count - 1
            clbFields.Items.Add(TheDataGridView.Columns(i).HeaderText)
            Dim checked As Boolean = TheDataGridView.Columns(i).Visible
            clbFields.SetItemChecked(i, checked)
        Next i
    End Sub

    ' Apply the user's selections to the DataGridView.
    Private Sub btnOk_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOk.Click
        For i As Integer = 0 To TheDataGridView.Columns.Count - 1
            TheDataGridView.Columns(i).Visible = clbFields.GetItemChecked(i)
        Next i
    End Sub
End Class