Imports System.Math

Public Class frmSurprise
    Private Sub frmSurprise_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.SetStyle(ControlStyles.OptimizedDoubleBuffer, True)
        Me.UpdateStyles()
    End Sub

    Private Sub tmrAtom_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tmrAtom.Tick
        picAtom.Invalidate()
    End Sub

    Private Sub picAtom_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles picAtom.Paint
        Const DTHETA As Double = Math.PI / 5
        Static theta As Double = 0

        e.Graphics.Clear(picAtom.BackColor)
        e.Graphics.SmoothingMode = Drawing2D.SmoothingMode.AntiAlias
        theta += DTHETA

        Const E_RADIUS As Integer = 3
        Dim cx As Integer = picAtom.ClientSize.Width \ 2
        Dim cy As Integer = picAtom.ClientSize.Height \ 2
        Dim rx As Integer = CInt(picAtom.ClientSize.Width * 0.45)
        Dim ry As Integer = CInt(picAtom.ClientSize.Height * 0.15)
        Dim rect As New Rectangle(-rx, -ry, 2 * rx, 2 * ry)
        Dim x, y As Double
        e.Graphics.RotateTransform(60, Drawing2D.MatrixOrder.Append)
        e.Graphics.TranslateTransform(cx, cy, Drawing2D.MatrixOrder.Append)
        e.Graphics.DrawEllipse(Pens.Red, rect)
        x = rx * Cos(theta)
        y = ry * Sin(theta)
        e.Graphics.FillEllipse(Brushes.Red, _
            CInt(x - E_RADIUS), CInt(y - E_RADIUS), _
            2 * E_RADIUS, 2 * E_RADIUS)

        e.Graphics.ResetTransform()
        e.Graphics.RotateTransform(-60, Drawing2D.MatrixOrder.Append)
        e.Graphics.TranslateTransform(cx, cy, Drawing2D.MatrixOrder.Append)
        e.Graphics.DrawEllipse(Pens.Red, rect)
        x = rx * Cos(-theta * 0.9)
        y = ry * Sin(-theta * 0.9)
        e.Graphics.FillEllipse(Brushes.Green, _
            CInt(x - E_RADIUS), CInt(y - E_RADIUS), _
            2 * E_RADIUS, 2 * E_RADIUS)

        e.Graphics.ResetTransform()
        e.Graphics.TranslateTransform(cx, cy, Drawing2D.MatrixOrder.Append)
        e.Graphics.DrawEllipse(Pens.Red, rect)
        x = rx * Cos(theta * 0.8)
        y = ry * Sin(theta * 0.8)
        e.Graphics.FillEllipse(Brushes.Blue, _
            CInt(x - E_RADIUS), CInt(y - E_RADIUS), _
            2 * E_RADIUS, 2 * E_RADIUS)

        e.Graphics.ResetTransform()
        Const N_RADIUS As Integer = 4
        e.Graphics.FillEllipse(Brushes.Black, _
            cx - N_RADIUS, cy - N_RADIUS, _
            2 * N_RADIUS, 2 * N_RADIUS)
    End Sub
End Class