Imports System.Math

' This class has no default constructor
' so program UseDiscoveryLib will not use it.
Public Class NoDefaultConstructor
    Public Sub New(ByVal value As Integer)
    End Sub
End Class

' Calculate factorials.
Public Class FactorialCalculator
    ' Return N!.
    Public Function Factorial(ByVal N As Integer) As Double
        Dim result As Double = 1
        For i As Integer = 2 To N
            result *= i
        Next i
        Return result
    End Function
End Class

' Calculate GCDs and LCMs.
Class LcmCalculator
    ' Return the greatest common divisor of A and B.
    Public Function GCD(ByVal A As Long, ByVal B As Long) As Long
        Dim temp As Long
        Dim remainder As Long

        ' Make sure A >= B.
        A = Abs(A)
        B = Abs(B)
        If A < B Then
            temp = A
            A = B
            B = temp
        End If

        ' Calculate the GCD.
        Do
            remainder = A Mod B
            If remainder = 0 Then Return B
            A = B
            B = remainder
        Loop
    End Function

    ' Return the least common multiple of A and B.
    Public Function LCM(ByVal A As Long, ByVal B As Long) As Long
        Return (A * B) \ GCD(A, B)
    End Function
End Class